The move to dahdi has separated libtonezone from zaptel/dahdi . A number 
of modules will fail to build if both dahdi and libtonezone will both 
reside in custom pathes.

Index: channels/chan_iax2.c
===================================================================
--- channels/chan_iax2.c	(revision 124595)
+++ channels/chan_iax2.c	(working copy)
@@ -30,6 +30,7 @@
 
 /*** MODULEINFO
 	<use>dahdi</use>
+	<use>tonezone</use>
         <depend>res_features</depend>
  ***/
 
Index: apps/app_dahdiscan.c
===================================================================
--- apps/app_dahdiscan.c	(revision 124595)
+++ apps/app_dahdiscan.c	(working copy)
@@ -32,6 +32,7 @@
 
 /*** MODULEINFO
 	<depend>dahdi</depend>
+	<use>tonezone</use>
  ***/
 
 #include "asterisk.h"
Index: apps/app_meetme.c
===================================================================
--- apps/app_meetme.c	(revision 124595)
+++ apps/app_meetme.c	(working copy)
@@ -31,6 +31,7 @@
 
 /*** MODULEINFO
 	<depend>dahdi</depend>
+	<use>tonezone</use>
  ***/
 
 #include "asterisk.h"
Index: apps/app_dahdiras.c
===================================================================
--- apps/app_dahdiras.c	(revision 124595)
+++ apps/app_dahdiras.c	(working copy)
@@ -27,6 +27,7 @@
 
 /*** MODULEINFO
 	<depend>dahdi</depend>
+	<use>tonezone</use>
  ***/
 
 #include "asterisk.h"
Index: apps/app_dahdibarge.c
===================================================================
--- apps/app_dahdibarge.c	(revision 124595)
+++ apps/app_dahdibarge.c	(working copy)
@@ -33,6 +33,7 @@
 
 /*** MODULEINFO
 	<depend>dahdi</depend>
+	<use>tonezone</use>
  ***/
 
 #include "asterisk.h"
Index: apps/app_flash.c
===================================================================
--- apps/app_flash.c	(revision 124595)
+++ apps/app_flash.c	(working copy)
@@ -27,6 +27,7 @@
  
 /*** MODULEINFO
 	<depend>dahdi</depend>
+	<use>tonezone</use>
  ***/
 
 #include "asterisk.h"
Index: main/Makefile
===================================================================
--- main/Makefile	(revision 124595)
+++ main/Makefile	(working copy)
@@ -121,8 +121,8 @@
 	$(CC) -g -o testexpr2 ast_expr2f.o ast_expr2.o
 	rm ast_expr2.o ast_expr2f.o 
 
-channel.o: ASTCFLAGS+=$(ZAPTEL_INCLUDE)
-asterisk.o: ASTCFLAGS+=$(ZAPTEL_INCLUDE)
+channel.o: ASTCFLAGS+=$(ZAPTEL_INCLUDE) $(DAHDI_INCLUDE) $(TONEZONE_INCLUDE)
+asterisk.o: ASTCFLAGS+=$(ZAPTEL_INCLUDE) $(DAHDI_INCLUDE) $(TONEZONE_INCLUDE)
 
 stdtime/localtime.o: ASTCFLAGS+=$(AST_NO_STRICT_OVERFLOW)
 
Index: res/res_musiconhold.c
===================================================================
--- res/res_musiconhold.c	(revision 124595)
+++ res/res_musiconhold.c	(working copy)
@@ -28,6 +28,7 @@
 /*** MODULEINFO
 	<conflict>win32</conflict>
 	<use>dahdi</use>
+	<use>tonezone</use>
  ***/
 
 #include "asterisk.h"
Index: codecs/codec_dahdi.c
===================================================================
--- codecs/codec_dahdi.c	(revision 124595)
+++ codecs/codec_dahdi.c	(working copy)
@@ -29,6 +29,7 @@
 /*** MODULEINFO
 	<depend>dahdi_transcode</depend>
 	<depend>dahdi</depend>
+	<use>tonezone</use>
  ***/
 
 #include "asterisk.h"
